/// config.js
/// 被 vue.config.js 的 pluginOptions.electronEnvOpts 配置重置
module.exports = {
  srcDir: "src-electron", // 主进程代码根路径
  outputDir: "dist_electron", // 构建输出
  builderOutputDir: "dist_app", // electron-builder生成路径
  mainWebpacks: {
    main: {
      src: `main-process/main${
        process.env.NODE_ENV === "development" ? ".dev" : ""
      }.js`, // [srcDir]/*
      out: ".", // [outputDir]/*
      filename: `[name].electron.js`
    }
  },
  mainFileChangeWatchs: "*" // [srcDir]/*
}
