/**
 * development
 * 开发环境下安装 debug 和 vue-devtools 工具
 */

/* eslint-disable */
<% if(eleDebugVersion) { %>
// 为 electron 安装 debug 程序
require("electron-debug")({ showDevTools: false });
<% } %>
const path = require('path')
const { app, BrowserWindow } = require("electron");
// 安装vue调试工具 `vue-devtools`
app.on("ready", () => {
  <% if('chrome' === devtoolsInstallType) { %>
  let installExtension = require("electron-devtools-installer");
  installExtension
    .default(installExtension.VUEJS_DEVTOOLS)
    .then(() => {})
    .catch(err => {
      console.log("Unable to install `vue-devtools`: \n", err);
    });
  <% } %>
  <% if('file' === devtoolsInstallType) { %>
  // dev-tools path
  let plugSrcPath = (plugs_name = '') => {
    return path.join(process.cwd(), 'src-electron/main-process/devTools', plugs_name);
  }
  // install vuejs-devtools
  BrowserWindow.addDevToolsExtension(plugSrcPath('vuejs-devtools/5.3.0_0'));
  <% } %>
});

// 主
require("./main");
  